<?php
namespace Teknisa\MAN\Controllers;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Teknisa\MAN\Services\RelMetaVersusVendasService;
use Teknisa\MAN\Utilities;

class RelMetaVersusVendas  extends CrudWithParameterBag {
    
    protected $utilService;
    
    public function __construct ($crudService, $parameterBag, $entityManager, Utilities\Util $utilService, Manager $dataSourceManager, RelMetaVersusVendasService $RelMetaVersusVendasService) {
        $this->crudService                = $crudService;
        $this->parameterBag               = $parameterBag;
        $this->entityManager              = $entityManager;
        $this->utilService                = $utilService;
        $this->dataSourceManager          = $dataSourceManager;
        $this->RelMetaVersusVendasService = $RelMetaVersusVendasService;
    }
    
    public function findReport(DTO\Request\Filter $request, DTO\Response $response) {
        $conditions = $this->utilService->getParamsAsArray($request);
        $response->addDataSet(new DataSet("orm00002_metaVersusVendasRealizadas", 
        $this->RelMetaVersusVendasService->fetchReport($conditions)));
        return $response;
    }
}